Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.command
Interface IdeCommandItem

public interface IdeCommandItem
extends IdeCommandItemBase

Class `IdeCommandItem` defines a visual entity, representing a command. An entity of this kind inherits all the functionality from `IdeCommandItemBase` and provides additional behavior:

An entity can represent a check box item. In this case it can be in one of three possible states: checked, unchecked, or indeterminated. This interface provides methods for switching a check box entity to any state.

Author:
  TogetherSoft
See Also: IdeCommandManager

Method Summary
`boolean` | `isCheckbox()` Checks whether this command item represents a check box item.
`boolean` | `isChecked()` Checks whether this check box command item is in the "checked" state.
`boolean` | `isIndeterminate()` Checks whether this check box command item is in the "indeterminated" state.
`void` | `setCheckbox(boolean value)` Sets whether or not this command item is a check box.
`void` | `setChecked(boolean value)` Sets "checked" state for this check box command item.
`void` | `setIndeterminate(boolean value)` Sets "indeterminated" state for this check box command item.

Methods inherited from interface com.togethersoft.openapi.ide.command.IdeCommandItemBase
`addShortcut, getIcon, getId, getText, isEnabled, isSeparatorAfter, isSeparatorBefore, isVisible, removeShortcut, setEnabled, setIcon, setSeparatorAfter, setSeparatorBefore, setText, setVisible, shortcuts`

Method Detail

### isCheckbox

    public boolean isCheckbox()

  Checks whether this command item represents a check box item.
  Returns: `true` if this command item represents a check box item, `false` otherwise

### isChecked

    public boolean isChecked()

  Checks whether this check box command item is in the "checked" state.
  Returns: `true` if this check box command item is in "checked" state, `false` otherwise.

### isIndeterminate

    public boolean isIndeterminate()

  Checks whether this check box command item is in the "indeterminated" state.
  Returns: `true` if this check box command item is in the "indeterminated" state, `false` otherwise.

### setCheckbox

    public void setCheckbox(boolean value)

  Sets whether or not this command item is a check box.
  Parameters:
    value - `boolean` flag. If `true` then this command item will be made a check box, if `false` then this command item will not be made a check box.

### setChecked

    public void setChecked(boolean value)

  Sets "checked" state for this check box command item.
  Parameters:
    value - `boolean` value. If `true` then this check box command item will be swiched to the "checked" state, if `false` then this check box command item will be switched to the "unchecked" state.

### setIndeterminate

    public void setIndeterminate(boolean value)

  Sets "indeterminated" state for this check box command item.
  Parameters:
    value - `boolean` value. If `true` then this check box command item will be swiched to "indeterminated" state, if `false` then this check box command item will be switched to "unchecked" state.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD